Summary:	Namespace-aware XML parser written in TeX.
Name:		xmltex
Version:	1.8y
Release:	2mdk
License:	LaTeX Project Public License
Group:		Publishing
Source0:	ftp://ftp.dante.de/pub/tex/macros/xmltex.tar.bz2
Source1:	ftp://users.ox.ac.uk/~rahtz/passivetex/passivetex.tar.bz2
Patch0:		xmltex-newer.patch.bz2
Url:		http://www.dcarlisle.demon.co.uk/xmltex/manual.html
Requires:	tetex >= 1.0.7-36mdk tetex-latex >= 1.0.7-36mdk
BuildRequires:	tetex
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Namespace-aware XML parser written in TeX. This package
also includes passivetex macros, which can be used to process an XML
document which results from an XSL trasformation to formatting objects.

%prep
%setup -q -c %{name}-%{version} -a 1
%patch0 -p0 

%build
mv -f xmltex/base/* .
pdftex -ini "&pdflatex" pdfxmltex.ini
tex -ini "&hugelatex" xmltex.ini

cat > xmltexfmtutil.cnf <<EOF
# configuration file for fmtutil; xmltex flavour.
# invoke with 'fmtutil --cnffile <file> --all'
#
# xmltex
xmltex          tex     language.dat    &hugelatex xmltex.ini
pdfxmltex       pdftex  language.dat    &pdflatex pdfxmltex.ini
EOF

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex/passivetex \
	$RPM_BUILD_ROOT%{_datadir}/texmf/web2c \
	$RPM_BUILD_ROOT%{_datadir}/texmf/doc/xmltex \
	$RPM_BUILD_ROOT%{_datadir}/texmf/doc/passivetex \
	$RPM_BUILD_ROOT%{_bindir}

install *.xmt $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex
install %{name}.cfg *.ini *.tex $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex
install xmltexfmtutil.cnf $RPM_BUILD_ROOT%{_datadir}/texmf/web2c
install pdf%{name}.fmt %{name}.fmt $RPM_BUILD_ROOT%{_datadir}/texmf/web2c
ln -s pdftex ${RPM_BUILD_ROOT}%{_bindir}/pdf%{name}
ln -s tex ${RPM_BUILD_ROOT}%{_bindir}/%{name}
#
(cd passivetex
install *.xmt *.sty $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex/passivetex
install README.passivetex LICENSE index.html index.xml \
	$RPM_BUILD_ROOT%{_datadir}/texmf/doc/passivetex
rm -f test/darkness.pdf
cp -pr test $RPM_BUILD_ROOT%{_datadir}/texmf/doc/passivetex
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
#cat >> %{_datadir}/texmf/web2c/fmtutil.cnf <<EOF
## xmltex
#xmltex          tex     language.dat    &hugelatex xmltex.ini
#pdfxmltex       pdftex  language.dat    &pdflatex pdfxmltex.ini
#EOF
/usr/bin/env - texhash > /dev/null 2>&1
exit 0

%postun
#cat %{_datadir}/texmf/web2c/fmtutil.cnf | grep -v xmltex > \
#	%{_datadir}/texmf/web2c/fmtutil.cnf.new.$$
#mv -f %{_datadir}/texmf/web2c/fmtutil.cnf.new.$$ \
#	%{_datadir}/texmf/web2c/fmtutil.cnf
/usr/bin/env - texhash > /dev/null 2>&1
exit 0

%files
%defattr(644,root,root,755)
%doc *.txt *.html
%attr(755,root,root) %{_bindir}/*
%{_datadir}/texmf/web2c/*xml*.fmt
%{_datadir}/texmf/web2c/*.cnf
%{_datadir}/texmf/tex/xmltex
%{_datadir}/texmf/doc/*

%changelog
* Sun Feb 17 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8y-2mdk
- include passivetex macros 1.12.

* Sun Feb 17 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8y-1mdk
- initial Mandrake Linux release.
- Use Sebastian Rathz's newer xmltex.tex as patch.
- moved xmltexfmtutil.cnf file to $TEXDIR/web2c.
- include .fmt files and doesn't rebuild on the postinstall scripts
  for now (so removed BuildArch: noarch).

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 12 2001 Tim Waugh <twaugh@redhat.com> 20000118-5
- Trigger recreation of the format file on tetex-latex.

* Wed Dec  5 2001 Tim Waugh <twaugh@redhat.com> 20000118-4
- New xmltex.tex (from Sebastian).
- Fmt files should be marked as ghosts so that RPM verification works.

* Sat Oct  6 2001 Tim Waugh <twaugh@redhat.com> 20000118-3
- Built for Red Hat Linux.  Package from PLD.

* Sat Oct  6 2001 PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmltex.spec,v $
Revision 1.6  2001/03/27 16:50:29  wiget
add xmltex.cfg file and one missing dir in %%files; release 3

Revision 1.5  2001/03/27 11:10:41  wiget
include xmltex macros; requires tex/pdftex

Revision 1.4  2001/01/24 14:18:54  klakier
- archive file changed

Revision 1.3  2001/01/24 13:28:40  klakier
- link fixed

Revision 1.2  2001/01/24 12:34:27  klakier
- added Version and more doc

Revision 1.1  2001/01/24 12:03:51  klakier
- initial
